Package com.germinus.easyconf.taglib

# Class PropertyTag

BodyTagSupport
com.germinus.easyconf.taglib.PropertyTag

public class PropertyTag extends BodyTagSupport
Read a configuration property and expose it as a page variable and attribute Examples of use: >%@ taglib uri="/WEB-INF/tld/easyconf.tld" prefix="easyconf" %> >easyconf:property id="registration_list" component="registration" property="registration.list" type="java.util.List"/> >logic:iterate id="item" name="registration_list"> >bean:write name="item"/> >br/> >/logic:iterate> >easyconf:property id="registration_disabled" component="registration" property="registration.disabled"/> >logic:equal name="registration_disabled" value="true"> The registration is disabled >/logic:equal>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`component`
`private static final String`
`DEFAULT_TYPE`
`protected String`
`defaultValue`
`private static final List`
`EMPTY_LIST`
`protected String`
`id`
`protected String`
`property`
`protected String`
`selector1`
`protected String`
`selector2`
`protected String`
`selector3`
`protected String`
`selector4`
`protected String`
`selector5`
`private static final long`
`serialVersionUID`
`protected String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`PropertyTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doAfterBody()`
Save the body content of this tag (if any), or throw a JspException if the value was already defined.
`int`
`doEndTag()`
Retrieve the required property and expose it as a scripting variable.
`int`
`doStartTag()`
Check if we need to evaluate the body of the tag
`String`
`getComponent()`
`String`
`getDefaultValue()`
`String`
`getId()`
`String`
`getProperty()`
`private Filter`
`getPropertyFilter()`
`String`
`getSelector1()`
`String`
`getSelector2()`
`String`
`getSelector3()`
`String`
`getSelector4()`
`String`
`getSelector5()`
`private String[]`
`getSelectorArray()`
`String`
`getType()`
`private Object`
`readProperty(ComponentProperties conf)`
`void`
`release()`
`void`
`setComponent(String component)`
`void`
`setDefaultValue(String defaultValue)`
Note: currently this is only used if type is String
`void`
`setId(String id)`
`void`
`setProperty(String property)`
`void`
`setSelector1(String selector1)`
`void`
`setSelector2(String selector2)`
`void`
`setSelector3(String selector3)`
`void`
`setSelector4(String selector4)`
`void`
`setSelector5(String selector5)`
`void`
`setType(String type)`

## Field Details

### serialVersionUID

private static final long serialVersionUID

See Also:
  - Constant Field Values

### DEFAULT_TYPE

private static final String DEFAULT_TYPE

See Also:
  - Constant Field Values

### id

protected String id

### component

protected String component

### property

protected String property

### type

protected String type

### selector1

protected String selector1

### selector2

protected String selector2

### selector3

protected String selector3

### selector4

protected String selector4

### selector5

protected String selector5

### defaultValue

protected String defaultValue

### EMPTY_LIST

private static final List EMPTY_LIST

## Constructor Details

### PropertyTag

public PropertyTag()

## Method Details

### getId

public String getId()

### setId

public void setId(String id)

### getComponent

public String getComponent()

### setComponent

public void setComponent(String component)

### getProperty

public String getProperty()

### setProperty

public void setProperty(String property)

### getType

public String getType()

### setType

public void setType(String type)

### getDefaultValue

public String getDefaultValue()

### setDefaultValue

public void setDefaultValue(String defaultValue)
Note: currently this is only used if type is String

Parameters:
  `defaultValue` -

### getSelector1

public String getSelector1()

### setSelector1

public void setSelector1(String selector1)

### getSelector2

public String getSelector2()

### setSelector2

public void setSelector2(String selector2)

### getSelector3

public String getSelector3()

### setSelector3

public void setSelector3(String selector3)

### getSelector4

public String getSelector4()

### setSelector4

public void setSelector4(String selector4)

### getSelector5

public String getSelector5()

### setSelector5

public void setSelector5(String selector5)

### getSelectorArray

private String[] getSelectorArray()

### doStartTag

public int doStartTag() throws JspException
Check if we need to evaluate the body of the tag

### doAfterBody

public int doAfterBody() throws JspException
Save the body content of this tag (if any), or throw a JspException if the value was already defined.

### doEndTag

public int doEndTag() throws JspException
Retrieve the required property and expose it as a scripting variable.

### readProperty

private Object readProperty(ComponentProperties conf) throws JspException

Throws:
  `JspException`

### getPropertyFilter

private Filter getPropertyFilter()

### release

public void release()